Results 1 to 3 of 3
  1. #1
    Join Date
    Feb 2005
    Posts
    3

    Unanswered: update db2 V7 fp3 to ft13

    hi all,

    i am in a dead point.
    I have installed the IBM redhat 7.2 on my server. The automatic installation configure all for a correct job. At this moment db2 work fine.
    My problem is the upgrade to service pack FP3 and FB13. The system return this:

    I am root

    [root@serverdb2 FP3_U475381]# ./installpatch
    Updating ...

    Updating to db2cliv71-7.1.0-41.i386.rpm ...
    Preparing... ########################################### [100%]
    file /usr/IBMdb2/V7.1/adm/db2audit from install of db2cliv71-7.1.0-41 conflicts with file from package db2cliv71-7.1.0-40
    ..... ecc.
    Updating to db2cucs71-7.1.0-41.i386.rpm ...
    error: failed dependencies:
    db2cliv71 >= 7.1.0-41 is needed by db2cucs71-7.1.0-41
    ...... ecc.
    [root@serverdb2 FP3_U475381]#

    it's imposible to upgrade.

    Any idea ???

    Tanks at all. (Grazie a tutti)

    PS. my english is very scandalous but i'm rash.

  2. #2
    Join Date
    Jan 2003
    Posts
    1,605
    Hi,

    What is your DB2 version and fixpack?
    Is version 7.2 Linux Redhat version or IBM DB2 version?
    Execute "db2level" command and post reply.

    Grofaty

  3. #3
    Join Date
    May 2003
    Location
    USA
    Posts
    5,737
    My experience with the DB2 Linux install scripts is that they are written for the korn shell and sometimes the don't work for the bash shell. If you can run them under the korn shell, that might work better.
    M. A. Feldman
    IBM Certified DBA on DB2 for Linux, UNIX, and Windows
    IBM Certified DBA on DB2 for z/OS and OS/390

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •